CREATE TABLE fun_docio_al_mappings (
    AL_MAPPING_ID                  NUMBER(18, 0),
    FINGERPRINT_ID                 NUMBER(18, 0)    NOT NULL,
    TRANSFORM_ID                   NUMBER(18, 0)    NOT NULL,
    TARGET_STRUCTURE_ID            NUMBER(18, 0)    NOT NULL,
    MAPPED_ATTRIBUTE_METADATA      BLOB         ,
    UNMAPPED_ATTRIBUTE_METADATA    BLOB         ,
    STATUS_CODE                    VARCHAR2(120)    NOT NULL,
    CONDITION_ID                   NUMBER(18, 0),
    MAPPING_VERSION_NUMBER         NUMBER(9, 0)     NOT NULL,
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)     NOT NULL,
    CREATED_BY                     VARCHAR2(256)    NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128),
    AL_MAPPING_ID                  NUMBER(18, 0),
    FINGERPRINT_ID                 NUMBER(18, 0)    NOT NULL,
    TRANSFORM_ID                   NUMBER(18, 0)    NOT NULL,
    TARGET_STRUCTURE_ID            NUMBER(18, 0)    NOT NULL,
    MAPPED_ATTRIBUTE_METADATA      BLOB         ,
    UNMAPPED_ATTRIBUTE_METADATA    BLOB         ,
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)     NOT NULL,
    CREATED_BY                     VARCHAR2(256)    NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128),
    STATUS_CODE                    VARCHAR2(120)    NOT NULL,
    CONDITION_ID                   NUMBER(18, 0),
    MAPPING_VERSION_NUMBER         NUMBER(9, 0)     NOT NULL,
    CONSTRAINT pk_fun_docio_al_mappings PRIMARY KEY (AL_MAPPING_ID, AL_MAPPING_ID)
);
